This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 87840 - slcurses does not display line drawing characters
slcurses does not display line drawing characters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: slang (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-02 20:21 EST by Richard Henderson
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 14:48:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Henderson 2003-04-02 20:21:16 EST
Description of problem:
slcurses does not display line drawing characters.

Version-Release number of selected component (if applicable):
slang-1.4.5-16

How reproducible:
always

Steps to Reproduce:
Display threads in mutt.
    
Actual results:
  26 N   Apr 02 Jakub Jelinek   (   0) ELIMINATE_COPY_RELOCS problems on ppc
  27 N   Apr 03 Alan Modra      (   0) >
  28 N   Apr 03 Alan Modra      (   0)   >

Expected results:
  26 N   Apr 02 Jakub Jelinek   (   0) ELIMINATE_COPY_RELOCS problems on ppc
  27 N   Apr 03 Alan Modra      (   0) mq>
  28 N   Apr 03 Alan Modra      (   0)   mq>

  where 'm' and 'q' are in xterm's "alternate char set", which
  renders them as lower-left-corner and horizontal-line respectively.
Comment 1 Bill Nottingham 2003-04-03 12:35:34 EST
What locale are you in?
Comment 2 Richard Henderson 2003-04-03 14:53:31 EST
C, aka unset LANG.  (I hate the dictionary sorting ls does in a language locale.)

A curious followup here is that (1) this worked with a previous version of
slang, such that mutt in rh7.1 worked, (2) I had recompiled mutt for rh9 to
use ncurses, which displayed things properly, and (3) *both* versions fail
to display the graphics characters when ssh'ed in with TERM=linux instead
of TERM=xterm.
Comment 3 Bill Nottingham 2003-04-03 15:24:38 EST
In order to support unicode, slang was changed to actually pay attention to the
locale.

When LANG=C, the line drawing characters fail isprint() tests.
Comment 4 Bill Nottingham 2003-06-13 16:31:08 EDT
Whoa, slcurses is screwed up. You're lucky it doesn't segfault, actually. Fixing...
Comment 5 Bill Nottingham 2003-06-13 16:33:50 EDT
Although, that won't solve the isprint() issues, I believe.
Comment 6 Richard Henderson 2003-06-13 18:22:43 EDT
Then, clearly, slang should be extended to remember which characters are
supposed to be in the alternate graphics character set, and then isprint
should NOT be applied to such characters.
Comment 7 Eido Inoue 2004-02-19 14:48:22 EST
fixed in current release

Note You need to log in before you can comment on or make changes to this bug.